Subject: Re: (usagi-users 03180) Re: netfilter6: ICMPv6 type 143 doesn't match

From: Olaf Kirch <[email-masked]>
Date: Mon, 10 Jan 2005 14:17:09 +0100

On Sat, Jan 08, 2005 at 12:45:14PM +0100, Peter Bieringer wrote:
> -               ptr = IPV6_HDR_LEN;
> +               ptr = ((u8*)skb->nh.raw - skb->data) + IPV6_HDR_LEN;
[...]
> But it won't help :-((

The following works for me on 2.6.8:

		ptr = ((char *) ipv6 - (char *) skb->data) + IPV6_HDR_LEN;

Older 2.6 kernels also do not call ipv6_skip_exthdr() in icmp6_match();
more recent kernels fix this.

Olaf
-- 
Olaf Kirch     | Things that make Monday morning interesting, #2:
[email-masked]   |        "We have 8,000 NFS mount points, why do we keep
---------------+ 	 running out of privileged ports?"